Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.builder.conf
Class DefaultDialectOption

    java.lang.Object
      org.drools.builder.conf.DefaultDialectOption

All Implemented Interfaces:
  Serializable, KnowledgeBuilderOption, SingleValueKnowledgeBuilderOption, Option

    public class DefaultDialectOption

extends Object
implements SingleValueKnowledgeBuilderOption

A class for the default dialect configuration.

See Also:
  Serialized Form

Field Summary
`static String` | `PROPERTY_NAME` The property name for the default DIALECT

Method Summary
`boolean` | `equals(Object obj)`
`static DefaultDialectOption` | `get(String name)` This is a factory method for this DefaultDialect configuration.
`String` | `getName()` Returns the name of the dialect configured as default
`String` | `getPropertyName()` Returns the property name for this option
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  The property name for the default DIALECT

  See Also:
    Constant Field Values

Method Detail

### get

    public static DefaultDialectOption get(String name)

  This is a factory method for this DefaultDialect configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.

  Parameters:
    `name` - the name of the dialect to be configured as default
  Returns:
    the actual type safe default dialect configuration.

### getPropertyName

    public String getPropertyName()

  Returns the property name for this option

  Specified by:
    `getPropertyName` in interface `Option`
  Returns:

### getName

    public String getName()

  Returns the name of the dialect configured as default

  Returns:

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.